package menuapplet2l;

import java.awt.ScrollPane;
import java.awt.Insets;
import java.awt.Rectangle;
import java.awt.Dimension;

/**
 * Title:        MenuApplet2L
 * Description:
 * Copyright:    Copyright (c) Aldo Giove
 * Company:      ---
 * @author Aldo Giove
 * @version 1.2
 */

public class MyScrollPane extends ScrollPane {

  public MyScrollPane() {
  }

  public MyScrollPane(int scrollbarDisplayPolicy) {
    super(scrollbarDisplayPolicy);
  }

  public Insets getInsets() {
    Insets i = new Insets(0, 0, 0, 0);
    return i;
  }

  /* Soluzione orribile per evitare il bordo 3D intorno allo scroller */
  public void setBounds(int x, int y, int width, int height) {
    x -= 2;
    y -= 2;
    width += 4;
    height += 4;
    super.setBounds(x, y, width, height);
  }

  public void setBounds(Rectangle r) {
    setBounds(r.x, r.y, r.width, r.height);
  }
}
